@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&display=swap");

*,
*::before,
*::after {
  box-sizing: border-box;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

:root {
  --container-width: 70rem;
  --bg-page: #f5f5f7;
  --color-border-panel: #e2e2e2;
  --color-border-input: #616161;
  --font-family: "Manrope", sans-serif;
  --bg-panel: #fff;

  /* Цвета */
}

body {
  background-color: var(--bg-page);
  font-family: var(--font-family);
  color: var(--color-text);
  min-height: 100dvh;
}

/* ────────── Контейнер ────────── */

.container {
  /* 1. Ограничиваем ширину */
  max-width: var(--container-width);

  /* 2. Центрируем блок по горизонтали */
  margin-inline: auto;

  /* 3. Гарантируем отступы от краев на мобильных (безопасная зона) */
  padding-inline: 1.5rem;

  /* Для визуализации примера (можно удалить) */
  /* border: 1px dashed red; */
}

/* FOOTER */

.site-footer {
  color: #e2e2e2;
  background-color: #444;
  margin-top: 5rem;
}

.site-footer__row {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-items: center;
  padding-block: 2.5rem;
}

.site-footer__contacts {
  display: flex;
  flex-direction: column;
  color: whitesmoke;
  gap: 0.65rem;
}

.site-footer__phone,
.site-footer__email {
  font-size: 1.15rem;
  text-decoration: none;
  color: inherit;
}

.site-footer__phone:hover,
.site-footer__email:hover {
  text-decoration: underline;
  color: orange;
}

.social-links {
  list-style-type: none;
  /* margin: 0; */
  padding: 0;
  display: flex;
  gap: 0.5rem;
}

.site-footer__ecosystem {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 0.25rem;
}

.ecosystem-card {
  /* background-color: rgba(65, 65, 65, 0.85); */
  border-radius: 8px;
  border: 1px solid #858585;
  cursor: pointer;
  padding: 0.35rem;
  min-height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.ecosystem-card-image {
  max-width: 150px;
  width: 100%;
  filter: opacity(0.8);
  display: block;
  transition:
    filter 0.3s ease,
    fill 0.3s ease;
  fill: #858585;
}

.ecosystem-card:hover .ecosystem-card-image {
  fill: #bbbbbb;
}

svg.social-icon {
  filter: grayscale(1);
}

svg.social-icon:hover {
  filter: grayscale(0);
  transition: filter 0.3s ease;
}

@media (max-width: 640px) {
  .site-footer__row {
    grid-template-columns: 1fr;
  }
}
